TQSL(5)

NAME
TQSL - digitally sign amateur radio contact logs

SYNOPSIS
tqsl -i [certificate-file]...

tqsl [OPTIONS] [log-file]...

DESCRIPTION
TrustedQSL is a file format and set of procedures that is used to send digitally signed QSL information (logs of contacts between amateur radio operators). One notable service that makes use of TrustedQSL is ARRL's Logbook of the World.

The tqsl program is used to digitally sign contact log files using a digital certificate. It is also used to generate requests for digital certificates and to store the resulting received digital certificates. (Certificates used to be handled by a separate program, tqslcert, but all functions are now handled by tqsl).

This manual page briefly documents the tqsl program. Complete documentation is also available:

  tqsl: file:///usr/share/TrustedQSL/help/tqslapp/main.htm

OPTIONS

tqsl accepts these command line options:

-b begin_date and -e end_date
    Supply a start date and end date for QSOs to be signed. If present, any QSOs before the begin date will be ignored, and any after the end date will be ignored. If either begin or end are omitted, then the corresponding limit is ignored. You should specify -d with this option to suppress the normal date range dialog as these options will override the user-specified dates if given.

-d  Suppress date-range dialog. If present, the QSO date-range dialog will not be shown for files that follow this option on the command line.

-l location_name
    Selects an existing station location. This location will be used for the commands that follow. If the station location doesn't exist, tqsl will just exit.

-o output_file
    Writes the resulting signed log file to output_file instead of a default name based on the input log-file name.

-s  Add or edit station location. If there is a preceding -l option the specified location will be edited. If there is no preceding -l option, a new station location is being added.

-x (or) -q
    Exit tqsl. If this argument is used it should be the last one on the command line. If this argument is not present, tqsl will begin normal operation after successfully processing all command-line arguments.

-u  Upload log file. If this argument is used, the input files will be signed then automatically uploaded to the Logbook of the World web site for processing.

-v  Display the version number of tqsl and exit.

-i filename
    Import a certificate - either a signed response (.tq6) or a certificate stored with a private key in PKCS#12 format (.p12).

-t filename
    Open a diagnostic trace file at startup. This file will log internal TQSL function calls for debugging purposes.

log-files
    Any command-line parameter that is not an option or an option's argument will be treated as the name of a log file (ADIF or Cabrillo) to be signed. The resulting signed file (.tq8) will be placed in the same directory as the log file, overwriting any existing .tq8 file of the same name. (Note: If this option is not preceded by a -l option that selects the station location to be used for signing, the Select Station Location for Signing dialog will be presented.) File names that contain spaces or other shell-special characters should be quoted in a manner suitable for the operating system and shell that's being used. If -u is used, the signed log is not saved to disk but is instead uploaded and submitted to Logbook of the World.

    N.B.: If the private key needed to sign a log is protected by a password, the user will be prompted to supply that password for each file being signed.

AUTHOR
trustedqsl was written by "American Radio Relay League, Inc." and the TrustedQSL authors. Please see the AUTHORS.txt file in the source distribution for a list of contributors.

This manual page was originally prepared by Kamal Mostafa <kamal@whence.com>, for the Debian project (and may be used by others).